/* eslint-env jest */

const { runPlugins } = require('./helpers');

const mathPolyfillPlugin = require('../math-polyfill');

it('finds @use math function calls in functions', () => {
  let actual = runPlugins(
    `
    @function pem($pixels) {
      @return (math.div($pixels, 16px) * 1em);
    }
  `,
    [mathPolyfillPlugin()]
  );
  expect(actual).toMatchSnapshot();
});

it('finds @use math function calls in values', () => {
  let actual = runPlugins(
    `
    .slds-icon-eq {
      width: math.div($_eq-bar-height-max, 1px);
      height: fix-ie-rounding(math.div($_eq-bar-height-max, 1px));
    }
  `,
    [mathPolyfillPlugin()]
  );
  expect(actual).toMatchSnapshot();
});

it('removes @use math statements', () => {
  let actual = runPlugins(
    `
    @use "sass:math";
    @import "../mixins/index";
  `,
    [mathPolyfillPlugin()]
  );
  expect(actual).toMatchSnapshot();
});
